/**
 * XDeterminerInstanceKind2.java
 *
 * File generated from the medication2::XDeterminerInstanceKind2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration XDeterminerInstanceKind2.
 *
 * 
 */

@XmlType(name = "XDeterminerInstanceKind")
@XmlEnum
@XmlRootElement(name = "XDeterminerInstanceKind2")
public enum XDeterminerInstanceKind2 {
	@XmlEnumValue("KIND")
	KIND("KIND"),
	@XmlEnumValue("INSTANCE")
	INSTANCE("INSTANCE");
	
	private final String value;

    XDeterminerInstanceKind2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static XDeterminerInstanceKind2 fromValue(String v) {
        for (XDeterminerInstanceKind2 c: XDeterminerInstanceKind2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
